Subject: bug#60191: [PATCH] Fix `rcirc-buffer-process' not working on channel buffers

From: Philip Kaludercic <[email-masked]>
Date: Mon, 01 May 2023 20:09:09 +0000

Thuna <[email-masked]> writes:

>> I do not understand what you mean by "not working" here, the code
>> appears to do the same thing pre- and post-patch, in the process and the
>> channel buffers.
>
> The problem is that when `rcirc-buffer-process' is explicitly called
> with a channel buffer it returns nil, as the local variable
> `rcirc-process' is set only in server buffers and the function checks
> the server buffer only if the BUFFER argument is nil.
>
> This leads to a situation where `(rcirc-buffer-process)' and
> `(rcirc-buffer-process (current-buffer))' do not behave in the same way
> when called from channel buffers.

OK, I get what you mean and the patch should be applied.  But IIUC you
haven't signed the FSF CA, right?  If that is so, I am afraid I am not
allowed to apply /your/ change myself...